=== debian/changelog ===
pplacer (1.1~alpha19-4) unstable; urgency=medium

  * Team Upload.
  * Pull and modify upstream PR to fix FTBFS w/ new
    version of libocamlgsl-ocaml-dev (Closes: #975858)
  * Standards version: 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 01 Dec 2020 19:54:07 +0530

pplacer (1.1~alpha19-3) unstable; urgency=medium

  * Include /usr/share/ocaml/ocamlvars.mk
    Closes: #968474
  * Adapt to new version of ocaml-batteries

 -- Andreas Tille <tille@debian.org>  Sun, 16 Aug 2020 16:59:18 +0200

pplacer (1.1~alpha19-2) unstable; urgency=medium

  [ Shayan Doust ]
  * Add myself as an uploader

  [ Andreas Tille ]
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jul 2020 23:30:13 +0200

pplacer (1.1~alpha19-1) unstable; urgency=medium

  * Initial release (Closes: #963476)

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jun 2020 09:22:18 +0200
