=== debian/control ===
Source: pplacer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               ocaml-nox,
               ocamlbuild,
               libcsv-ocaml-dev,
               libxmlm-ocaml-dev,
               libbatteries-ocaml-dev,
               libmcl-ocaml-dev,
               libocamlgsl-ocaml-dev,
               libsqlite3-ocaml-dev,
               libzip-ocaml-dev,
               mcl,
               libounit-ocaml-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/pplacer
Vcs-Git: https://salsa.debian.org/med-team/pplacer.git
Homepage: https://github.com/matsen/pplacer
Rules-Requires-Root: no

Package: pplacer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: phylogenetic placement and downstream analysis
 Pplacer places reads on a phylogenetic tree. guppy (Grand Unified
 Phylogenetic Placement Yanalyzer) yanalyzes them. rppr is a helpful tool
 for working with reference packages.
 .
 Pplacer places query sequences on a fixed reference phylogenetic tree to
 maximize phylogenetic likelihood or posterior probability according to a
 reference alignment. Pplacer is designed to be fast, to give useful
 information about uncertainty, and to offer advanced visualization and
 downstream analysis.
