=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with=ocaml

override_dh_auto_build:
	# Fix race condition (fails due to multiple mkdirs)
	dh_auto_build --no-parallel

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif
