=== debian/watch ===
version=4

opts="uversionmangle=s/([\d.]+).((beta|alpha))(\d*)(.*)$/$1~$2$4/" \
  https://github.com/matsen/pplacer/releases .*/archive/v?@ANY_VERSION@\.tar\.gz
